### Method

# Snapd Client get_user_agent

since: 1.16

#### Declaration [src]

    const gchar*
    snapd_client_get_user_agent (
      SnapdClient* client
    )

#### Description [src]

Get the HTTP user-agent that is sent with each request to snapd.

Available since: 1.16

#### Return value

Type: `const gchar*`

User agent or `NULL` if none set.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.